/* 
Arduino Soudeuse par point Ãƒ  base d'un transfo de micro-onde
V1.0 02/2014

*/
 
#include <LiquidCrystal.h>
// initialize the library with the numbers of the interface pins
LiquidCrystal lcd(5, 6, 7, 8, 9, 10);

int PotT1 = A6;    // select the input pin for the potentiometer
int PotT2 = A7;    // select the input pin for the potentiometer
 
const byte Bouton = 3; 
const byte Pulse = 4; 
const byte Led = 12;
 
int Temp;
int T1;
int T2;
int Pause = 500;
 
 
void setup() 
{ 
lcd.begin(16, 2);
pinMode(Pulse, OUTPUT);
pinMode(Led, OUTPUT);
pinMode(Bouton, INPUT_PULLUP);

}

void Lect_Cons()
{
 Temp = analogRead(PotT1);
 T1=50+(1023-Temp);
 Temp = analogRead(PotT2); 
 T2=50+(1023-Temp);
}

void Affiche()
{
  lcd.setCursor(0, 0);
  lcd.print("IMP1 PAUSE IMP2");
  lcd.setCursor(0, 1);
  lcd.print(T1);
  lcd.print("    ");
  lcd.setCursor(5, 1);
  lcd.print(Pause);
  lcd.print("    ");
  lcd.setCursor(11, 1);
  lcd.print(T2);
  lcd.print("     ");
}
 
void loop() 
{ 
  Lect_Cons();
  Affiche();
  
  if (digitalRead(Bouton)== 0)
  {
    delay(10);
    digitalWrite(Led, HIGH);
    delay(T1);
    digitalWrite(Led, LOW);
    delay(Pause);
    digitalWrite(Led, HIGH);
    delay(T2);
    digitalWrite(Led, LOW);
  }
  while (digitalRead(Bouton)== 0)
  {
  }
}

